> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a standard term

> Retrieves a standard term by ID.

**IMPORTANT:** If you need to fetch multiple specific standard terms by ID, use the list endpoint instead with the `ids` parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.



## OpenAPI

````yaml GET /quickbooks-desktop/standard-terms/{id}
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/standard-terms/{id}:
    get:
      summary: Retrieve a standard term
      description: >-
        Retrieves a standard term by ID.


        **IMPORTANT:** If you need to fetch multiple specific standard terms by
        ID, use the list endpoint instead with the `ids` parameter. It accepts
        an array of IDs so you can batch the request into a single call, which
        is significantly faster.
      parameters:
        - in: path
          name: id
          description: >-
            The QuickBooks-assigned unique identifier of the standard term to
            retrieve.
          schema:
            type: string
            description: >-
              The QuickBooks-assigned unique identifier of the standard term to
              retrieve.
            example: 80000001-1234567890
          required: true
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: Returns the specified standard term.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/qbd_standard_term'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const standardTerm = await
            conductor.qbd.standardTerms.retrieve('80000001-1234567890', {
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(standardTerm.id);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            standard_term = conductor.qbd.standard_terms.retrieve(
                id="80000001-1234567890",
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(standard_term.id)
components:
  schemas:
    qbd_standard_term:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this standard term.
            This ID is unique across all standard terms but not across different
            QuickBooks object types.
          example: 80000001-1234567890
        objectType:
          type: string
          const: qbd_standard_term
          description: The type of object. This value is always `"qbd_standard_term"`.
          example: qbd_standard_term
        createdAt:
          type: string
          description: >-
            The date and time when this standard term was created, in ISO 8601
            format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        updatedAt:
          type: string
          description: >-
            The date and time when this standard term was last updated, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        revisionNumber:
          type: string
          description: >-
            The current QuickBooks-assigned revision number of this standard
            term object, which changes each time the object is modified. When
            updating this object, you must provide the most recent
            `revisionNumber` to ensure you're working with the latest data;
            otherwise, the update will return an error.
          example: '1721172183'
        name:
          type: string
          description: >-
            The case-insensitive unique name of this standard term, unique
            across all standard terms.


            **NOTE**: Standard terms do not have a `fullName` field because they
            are not hierarchical objects, which is why `name` is unique for them
            but not for objects that have parents.
          example: Net 30
        isActive:
          type: boolean
          description: >-
            Indicates whether this standard term is active. Inactive objects are
            typically hidden from views and reports in QuickBooks. Defaults to
            `true`.
          example: true
        dueDays:
          type:
            - number
            - 'null'
          description: The number of days until payment is due.
          example: 30
        discountDays:
          type:
            - number
            - 'null'
          description: >-
            The number of days within which payment must be received to qualify
            for the discount specified by `discountPercentage`.
          example: 10
        discountPercentage:
          type:
            - string
            - 'null'
          description: >-
            The discount percentage applied to the payment if received within
            the number of days specified by `discountDays`. The value is between
            0 and 100.
          example: '10'
      required:
        - id
        - objectType
        - createdAt
        - updatedAt
        - revisionNumber
        - name
        - isActive
        - dueDays
        - discountDays
        - discountPercentage
      additionalProperties: false
      title: The Standard Term object
      x-conductor-object-type: other
      summary: >-
        A standard term is a payment term that shows the number of days within
        which payment is due and can include a discount for early payment.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).